//
// C++ Implementation: splashscreen
//
// Description:
//
//
// Author: minsu kim <minsu.kim@gmail.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "global.h"

#include "splashscreen.h"

#include <QApplication>
#include <QPixmap>

SplashScreen::SplashScreen(const QPixmap & pixmap, int sec) 
  : QSplashScreen(pixmap)
    , seconds(sec)
{
}

SplashScreen::~ SplashScreen()
{
}

void SplashScreen::exec()
{
  show();

  QString amessage = "Initializing";
  showMessage(amessage, Qt::AlignHCenter | Qt::AlignBottom, QColor(Qt::blue));

  for(int i = seconds; i > 0; i--)
  {
    amessage += ".";
    showMessage(amessage, Qt::AlignHCenter | Qt::AlignBottom, QColor(Qt::blue) );
    qApp->processEvents();
    sleep(1);
  }
  showMessage("Startup complete", Qt::AlignHCenter | Qt::AlignBottom, QColor(Qt::blue) );
  finish(this);
}
